org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class WriteTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.WriteTest

- Direct Known Subclasses:
    WriteTest.Traversals

      public abstract class WriteTest
      extends AbstractGremlinProcessTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WriteTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriteTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_io_write_withXwrite_gryoX()`
    `void` | `g_io_write_withXwriter_graphmlX()`
    `void` | `g_io_write_withXwriter_graphsonX()`
    `void` | `g_io_writeXjsonX()`
    `void` | `g_io_writeXkryoX()`
    `void` | `g_io_writeXxmlX()`
    `abstract Traversal<Object,Object>` | `get_g_io_write_withXwriter_graphmlX(String fileToWrite)`
    `abstract Traversal<Object,Object>` | `get_g_io_write_withXwriter_graphsonX(String fileToWrite)`
    `abstract Traversal<Object,Object>` | `get_g_io_write_withXwriter_gryoX(String fileToWrite)`
    `abstract Traversal<Object,Object>` | `get_g_io_writeXjsonX(String fileToWrite)`
    `abstract Traversal<Object,Object>` | `get_g_io_writeXkryoX(String fileToWrite)`
    `abstract Traversal<Object,Object>` | `get_g_io_writeXxmlX(String fileToWrite)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriteTest

          public WriteTest()

  - ### Method Detail

    - #### get_g_io_writeXkryoX

          public abstract Traversal<Object,Object> get_g_io_writeXkryoX(String fileToWrite)
                                                                 throws IOException

      Throws:
        `IOException`

    - #### get_g_io_write_withXwriter_gryoX

          public abstract Traversal<Object,Object> get_g_io_write_withXwriter_gryoX(String fileToWrite)
                                                                             throws IOException

      Throws:
        `IOException`

    - #### get_g_io_writeXjsonX

          public abstract Traversal<Object,Object> get_g_io_writeXjsonX(String fileToWrite)
                                                                 throws IOException

      Throws:
        `IOException`

    - #### get_g_io_write_withXwriter_graphsonX

          public abstract Traversal<Object,Object> get_g_io_write_withXwriter_graphsonX(String fileToWrite)
                                                                                 throws IOException

      Throws:
        `IOException`

    - #### get_g_io_writeXxmlX

          public abstract Traversal<Object,Object> get_g_io_writeXxmlX(String fileToWrite)
                                                                throws IOException

      Throws:
        `IOException`

    - #### get_g_io_write_withXwriter_graphmlX

          public abstract Traversal<Object,Object> get_g_io_write_withXwriter_graphmlX(String fileToWrite)
                                                                                throws IOException

      Throws:
        `IOException`

    - #### g_io_writeXkryoX

          public void g_io_writeXkryoX()
                                throws IOException

      Throws:
        `IOException`

    - #### g_io_write_withXwrite_gryoX

          public void g_io_write_withXwrite_gryoX()
                                           throws IOException

      Throws:
        `IOException`

    - #### g_io_writeXjsonX

          public void g_io_writeXjsonX()
                                throws IOException

      Throws:
        `IOException`

    - #### g_io_write_withXwriter_graphsonX

          public void g_io_write_withXwriter_graphsonX()
                                                throws IOException

      Throws:
        `IOException`

    - #### g_io_writeXxmlX

          public void g_io_writeXxmlX()
                               throws IOException

      Throws:
        `IOException`

    - #### g_io_write_withXwriter_graphmlX

          public void g_io_write_withXwriter_graphmlX()
                                               throws IOException

      Throws:
        `IOException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.